﻿using System.Collections.Generic;
using System;

namespace OcpDemo
{
    public class AreaCalculator
    {
        public int ComputeArea(List<IShape> shapes)
        {
            int total = 0;

            foreach (var aShape in shapes)
            {
                total = total + aShape.ComputeArea();
            }

            return total;
        }
    }
}
